

% first suppose there is no damping, and plot responses
% for several values of the spring constant

B = 0;
K = [ 1 5 10];
M = 1;
t = linspace(0,10);
omega = logspace(-1,1,400);
clear y mag phase



for i = 1:length(K)

 % here put in the numerator and deominator for the transfer function
 % in terms of M, B, K(i)
   num =  
   den =  
   y(:,i) = step(num,den,t);
   [mag(:,i),phase(:,i)] = bode(num,den,omega);
end

figure(1)
clf

plot(t,y(:,1),'-',t,y(:,2),'--',...
     t,y(:,3),'-.')
legend(['K = ',num2str(K(1))],['K = ',num2str(K(2))],...
        ['K = ',num2str(K(3))],2)
xlabel('time, seconds')
title(['plots of step response, B = ', num2str(B)])





figure(2)
clf

subplot(2,1,1)

semilogx(omega,20*log10(mag(:,1)),'-',...
    omega,20*log10(mag(:,2)),'--',omega,20*log10(mag(:,3)),'-.')
ylabel('magnitude, db')
title(['frequency response, B = ', num2str(B)])
legend(['K = ',num2str(K(1))],['K = ',num2str(K(2))],...
        ['K = ',num2str(K(3))])
subplot(2,1,2)

 semilogx(omega,phase(:,1),'-',...
     omega,phase(:,2),'--',omega,phase(:,3),'-.')
ylabel('phase, degrees')
xlabel('frequency, rad/sec')



K = 1;

B = [.1  .5   2   5];

clear char_poly  char_roots  

t = linspace(0,20);
omega = logspace(-1,1,400);
clear y mag phase
for i = 1:length(B)

 % here put in the numerator and deominator for the transfer function
 % in terms of M, B(i), K
   num =  
   den =  
   y(:,i) = step(num,den,t);
   [mag(:,i),phase(:,i)] = bode(num,den,omega);

end

figure(3)
clf

plot(t,y(:,1),'-',t,y(:,2),'--',...
     t,y(:,3),'-.',t,y(:,4),':')
legend(['B = ',num2str(B(1))],['B = ',num2str(B(2))],...
        ['B = ',num2str(B(3))],['B = ',num2str(B(4))])
xlabel('time, seconds')
title(['plots of step response, K = ', num2str(K)])


figure(4)
clf

subplot(2,1,1)

semilogx(omega,20*log10(mag(:,1)),'-',...
    omega,20*log10(mag(:,2)),'--',omega,20*log10(mag(:,3)),'-.',...
      omega,20*log10(mag(:,4)),':'     )
ylabel('magnitude, db')
title(['frequency response, K = ', num2str(K)])
legend(['B = ',num2str(B(1))],['B = ',num2str(B(2))],...
        ['B = ',num2str(B(3))],['B = ',num2str(B(4))])
subplot(2,1,2)

 semilogx(omega,phase(:,1),'-',...
     omega,phase(:,2),'--',omega,phase(:,3),'-.',...
        omega,phase(:,4),':')
ylabel('phase, degrees')
xlabel('frequency, rad/sec')








